Bug 643014 - Review Request: fetch-crl3 - Downloads Certificate Revocation Lists
Summary: Review Request: fetch-crl3 - Downloads Certificate Revocation Lists
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mattias Ellert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-10-14 13:10 UTC by Steve Traylen
Modified: 2010-11-27 18:58 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-11-27 18:57:31 UTC
mattias.ellert: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Steve Traylen 2010-10-14 13:10:24 UTC
This is a parallel package of fetch-crl3 to the existing package
fetch-crl present in EPEL4 and EPEL5. It will not be released
for Fedora or EPEL6 since these contain fetch-crl at version 3 already.

Spec URL: http://cern.ch/straylen/rpms/fetch-crl3/fetch-crl3.spec
SRPM URL: http://cern.ch/straylen/rpms/fetch-crl3/fetch-crl3-3.0.3-2.el5.src.rpm
Description: 
This tool and associated cron entry ensure that Certificate Revocation 
Lists (CRLs) are periodically retrieved from the web sites of the respective 
Certification Authorities.
It assumes that the installed CA files follow the hash.crl_url convention.

Comment 1 Mattias Ellert 2010-10-27 12:30:21 UTC
This is rather trivial. Doing a diff between the specfile of the existing fetch-crl package in rawhide (which is at version 3.0.3) and this parallel installable version shows no strange issues.

rpmlint output:
fetch-crl3.src: W: spelling-error %description -l en_US cron -> corn, con, crone
fetch-crl3.src: W: spelling-error %description -l en_US crl -> cr, cl, carl
fetch-crl3.src: W: spelling-error %description -l en_US url -> URL, curl, purl
fetch-crl3.noarch: W: spelling-error %description -l en_US cron -> corn, con, crone
fetch-crl3.noarch: W: spelling-error %description -l en_US crl -> cr, cl, carl
fetch-crl3.noarch: W: spelling-error %description -l en_US url -> URL, curl, purl
fetch-crl3.noarch: E: non-standard-dir-perm /var/cache/fetch-crl3 0700
2 packages and 0 specfiles checked; 1 errors, 6 warnings.

All good.

+ package name follows guidelines (for parallel installable version)
+ specfile name after package
+ package license (ASL 2.0) is Fedora approved
+ package license matches license statements in the sources
+ LICENSE file is included as %doc
+ specfile is written in legible English

$ cksum srpm/fetch-crl-3.0.3.tar.gz fetch-crl-3.0.3.tar.gz 
1741587661 38243 srpm3/fetch-crl-3.0.3.tar.gz
1741587661 38243 fetch-crl-3.0.3.tar.gz

+ source matches upstream
+ package owns directories it creates
+ no duplicates in %files
+ permissions are sane and %files has %defattr
+ %clean clears buildroot
+ package does not own other's directories
+ %install clears buildroot
+ filenames are utf-8


Package approved.

Comment 2 Steve Traylen 2010-10-29 08:11:06 UTC
New Package SCM Request
=======================
Package Name: fetch-crl3
Short Description: Downloads Certificate Revocation Lists
Owners: stevetraylen
Branches: el4 el5
InitialCC: 

The devel branch can be closed down immediately.

Steve.

Comment 3 Kevin Fenzi 2010-10-30 23:25:57 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2010-10-31 19:15:49 UTC
fetch-crl3-3.0.3-2.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/fetch-crl3-3.0.3-2.el4

Comment 5 Fedora Update System 2010-10-31 19:15:56 UTC
fetch-crl3-3.0.3-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/fetch-crl3-3.0.3-2.el5

Comment 6 Fedora Update System 2010-11-01 16:35:25 UTC
fetch-crl3-3.0.3-2.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fetch-crl3'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/fetch-crl3-3.0.3-2.el5

Comment 7 Fedora Update System 2010-11-27 18:57:26 UTC
fetch-crl3-3.0.4-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2010-11-27 18:58:01 UTC
fetch-crl3-3.0.4-1.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.